package org.dromara.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.dromara.common.core.utils.StringUtils;

/**
 * 用户来源
 *
 * @author Trae
 */
@Getter
@AllArgsConstructor
public enum UserSource {

    /**
     * 后台系统用户（sys_user 表）
     */
    SYS_USER("sys_user"),

    /**
     * 员工用户（sys_employee 表）
     */
    SYS_EMPLOYEE("sys_employee");

    private final String source;

    public static UserSource getBySource(String source) {
        for (UserSource value : values()) {
            if (StringUtils.equals(value.getSource(), source)) {
                return value;
            }
        }
        return SYS_USER;
    }
}
